Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
hhhhgggg

Căn đối tượng Text vào giữa tâm đường tròn

Các bài được khuyến nghị

xuantran15    112

Bạn vào bảng propties chọn điểm bắt điểm của text là midder sau đó move text vào đường tròn như bình thường. (Cách này không hay lắm, bạn nào có cách hay hơn thì chia sẻ nhé) :s_big:

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hai_1401    30
Bác pro nào bit lệnh căn các đối tượng Text vào tâm đường tròn hoặc HCN thì chỉ cho cả nhà bit với ???

Có lips của bác Bemove nè, căn text vào tâm hình chữ nhật, rất hay

http://www.cadviet.com/upfiles/Move_doi_tuong_vao_Rectang___DTT.lsp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Có lips của bác Bemove nè, căn text vào tâm hình chữ nhật, rất hay

http://www.cadviet.com/upfiles/Move_doi_tuong_vao_Rectang___DTT.lsp

Tue_NV xin bổ sung vào đoạn Lisp của bác Bemove do bạn Hai1401 đưa lên

thêm chức năng căn text vào tâm hình tròn

Kết hợp Lisp của Bác Bemove và của Tue_NV :

(defun c:dtt()

 

(setvar "cmdecho" 0)

(setq OS (getvar "OSMODE"))

(setvar "OSMODE" 32)

 

(initget "CN T") ;;;Init keywords

(setq ans (getkword "\n Ban muon can doi tuong TEXT vao tam hinh chu nhat hay hinh tron? [CN/T] :"))

(if (= ans "CN")

(progn

(setq P1 (getpoint "\nPick a corner of the rectangle: "))

(setq P2 (getcorner P1 "\nPick opposite corner of the rectangle: "))

(setq A (angle P1 P2))

(setq D (distance P1 P2))

(setq P3 (polar P1 A (/ D 2.0)))

 

(setq ST (entsel "\nSelect text to center inside rectangle: "))

 

(while

(= ST nil)

(progn

(prompt "\nText was not selected...")

(setq ST (entsel "\nSelect text to center inside rectangle: "))

)

)

)

)

(if (= ans "T")

(progn

(setq ci (car (entsel "\n Chon duong tron :")))

 

(setq ST (entsel "\nSelect text to center inside Circle: "))

(setq P3 (cdr(assoc 10 (entget ci))))

(while

(= ST nil)

(progn

(prompt "\nText was not selected...")

(setq ST (entsel "\nSelect text to center inside Circle: "))

)

)

)

)

 

(command "justifytext" ST "" "MC")

(setq TMC (cdr (assoc 11 (entget (car ST)))))

(command "move" ST "" TMC P3)

 

(setvar "OSMODE" OS)

(princ)

 

)

mellow.gif

  • Vote tăng 4

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×